gnutls_session_set_premaster(3)

NAME
gnutls_session_set_premaster - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_set_premaster(gnutls_session_t session, unsigned int entity, gnutls_protocol_t version, gnutls_kx_algorithm_t kx, gnutls_cipher_algorithm_t cipher, gnutls_mac_algorithm_t mac, gnutls_compression_method_t comp, const gnutls_datum_t * master, const gnutls_datum_t * session_id);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

unsigned int entity
    GNUTLS_SERVER or GNUTLS_CLIENT

gnutls_protocol_t version
    the TLS protocol version

gnutls_kx_algorithm_t kx
    the key exchange method

gnutls_cipher_algorithm_t cipher
    the cipher

gnutls_mac_algorithm_t mac
    the MAC algorithm

gnutls_compression_method_t comp
    the compression method (ignored)

const gnutls_datum_t * master
    the master key to use

const gnutls_datum_t * session_id
    the session identifier

DESCRIPTION
This function sets the premaster secret in a session. This is a function intended for exceptional uses. Do not use this function unless you are implementing a legacy protocol. Use gnutls_session_set_data() instead.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/